> For the complete documentation index, see [llms.txt](https://docs.iceteagroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iceteagroup.com/general/ported-reports/list-and-label/passing-data.md).

# Passing Data

When reports are converted to List & Label, the input items and variables from the source report are saved in a data set definition file (extension xsd). Here is an example of the data set definition file for the company.qrp report file.

```xml
"<?xml version="1.0" standalone="yes"?>
<xs:schema id="company" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
 <xs:element name="company" msdata:IsDataSet="true" msdata:UseCurrentLocale="true">
   <xs:complexType>
     <xs:choice minOccurs="0" maxOccurs="unbounded">
       <xs:element name="InputItems">
         <xs:complexType>
           <xs:sequence>
             <xs:element name="Name" type="xs:string" minOccurs="0" />
             <xs:element name="Addr1" type="xs:string" minOccurs="0" />
             <xs:element name="City" type="xs:string" minOccurs="0" />
             <xs:element name="State" type="xs:string" minOccurs="0" />
             <xs:element name="ZIP" type="xs:string" minOccurs="0" />
             <xs:element name="Country" type="xs:string" minOccurs="0" />
             <xs:element name="Phone" type="xs:string" minOccurs="0" />
             <xs:element name="Fax" type="xs:string" minOccurs="0" />
           </xs:sequence>
         </xs:complexType>
       </xs:element>
       <xs:element name="ReportVariables">
         <xs:complexType>
           <xs:sequence>
             <xs:element name="Symbol" type="xs:base64Binary" minOccurs="0" />
           </xs:sequence>
         </xs:complexType>
       </xs:element>
     </xs:choice>
   </xs:complexType>
 </xs:element>
</xs:schema>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iceteagroup.com/general/ported-reports/list-and-label/passing-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
